Page MenuHomePhabricator

[SYCL] Enable `opencl_global_[host,device]` attributes for SYCL
ClosedPublic

Authored by bader on Apr 13 2021, 10:14 AM.

Diff Detail

Event Timeline

bader created this revision.Apr 13 2021, 10:14 AM
bader requested review of this revision.Apr 13 2021, 10:14 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 13 2021, 10:14 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript

Ok, this looks like a straightforward addition. I will finalize this review once the parent review is completed though.

bader updated this revision to Diff 340528.Apr 26 2021, 7:58 AM

Rebase on ToT

Anastasia added inline comments.Apr 30 2021, 6:37 AM
clang/include/clang/AST/Type.h
489

Ok, so you want to allow converting implicitly to global but not to device/host?

Let's update the doc straight away!

clang/test/SemaSYCL/address-space-conversions.cpp
74

Let's add explicit casts too.

aaron.ballman added inline comments.Apr 30 2021, 6:40 AM
clang/lib/AST/ItaniumMangle.cpp
2495

Can you also update this comment?

bader updated this revision to Diff 344393.May 11 2021, 7:26 AM

Apply code review suggestions and rebase on ToT.

bader marked 3 inline comments as done.May 11 2021, 7:31 AM
bader added inline comments.
clang/test/SemaSYCL/address-space-conversions.cpp
74

Done.

bader updated this revision to Diff 344399.May 11 2021, 7:38 AM
bader marked an inline comment as done.

Added explicit cast checks to Sema tests.

Anastasia added inline comments.May 14 2021, 10:15 AM
clang/docs/SYCLSupport.rst
96 ↗(On Diff #344399)

I think we should extend conversion rules too.

bader updated this revision to Diff 345806.May 17 2021, 3:08 AM
bader marked an inline comment as done.

Added documentation to cover conversion rules and rebased on ToT.

Anastasia accepted this revision.May 18 2021, 2:13 AM

LGTM! Thanks!

This revision is now accepted and ready to land.May 18 2021, 2:13 AM
This revision was landed with ongoing or failed builds.May 18 2021, 3:28 AM
This revision was automatically updated to reflect the committed changes.